Name:           perl-Test-Stream
Version:        1.302026
Release:        1%{?dist}
Summary:        Successor to Test::More and Test::Builder
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Stream/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/Test-Stream-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::Harness)
Requires:       perl(Carp)
Requires:       perl(File::Spec)
Requires:       perl(File::Temp)
Requires:       perl(List::Util)
Requires:       perl(Scalar::Util)
Requires:       perl(Storable)
Requires:       perl(Test::Harness)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is the primary interface for loading Test::Stream based tools. This
module is responsible for loading bundles and plugins for the tools you
want. By default you are required to specify at least 1 plugin or bundle
to load. You can subclass Test::Stream to have your own default plugins
or bundles.

%prep
%setup -q -n Test-Stream-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile LICENSE META.json profiling README README.md TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Nov 26 2015 Dave Cross <dave@mag-sol.com> 1.302026-1
- Specfile autogenerated by cpanspec 1.78.
